AGP 1x pro Radeon 9200 a akcelerace s fglrx

Mám grafiku ATi Radeon 9200 128 MB AGP8x … na desce mam slot AGP 4x … mam Fedoru 6, posledni kernel (tusim 2868) a grafika nejspis jede jen v AGP 1x. Pouzivam orig ovladace ATi pro linux. Nevite nekdo jak grafiku prinutim, aby jela v AGP 4x?

No, melo by to byt pomoci Option “AGPMode” “4”, ktere pridas do xorg.conf do sekce “device”.

Díky za radu, odpoledne to doma zkusím. Nicméně mám pocit, že ten proprietální ovladač od ATi za moc nestojí. Po jeho instalaci je obraz mnohem horší, než s předchozím ovladačem …

To je dost zvlastni. Jak se to zhorseni projevuje a co mate za monitor (CRT nebo LCD) a jaky vstup (VGA, DVI)?

Zhoršení se projevuje v zakřivení obrazu. Ostrost je dobrá, ale obraz je zvlněný (vertikální vlny) a to dost. Není to zvlnění, které by se dalo napravit nastavením monitoru. S dřívějším ovladačem jsem tento problém neměl (stejné rozlišení, stejná obnovovací frekvence). Monitor mám CRT DELL 17", VGA vstup. Při 1024x768@100Hz… V linuxu jedu na 1152x864 při 75 Hz.

To vypada na nejaky problem se synchronizaci. Nevim ale co s tim. Pokud mate definovany vlastni mode zkuste vsync± a hsync± nic vic me nenapada. Zkousel jste jina rozliseni?

Děkuji za radu, vsync a hsync zkusim. Jina rozliseni jsem zkousel - stale stejny vysledek - zvlneny obraz.

Já mám Radeon 9250 (stejnej čip,jako 9200) a AGPMode 4 mám zapnutý… Všechno to vzalo,ale výkon karty je (oproti windows) třetinový… Například CounterStrike 1.6 běží mezi 10-30FPS,Enemy Territory je na tom výkonově taky slabě… při testu v glxgears to hlásí “libGL warning: 3D driver claims to not support visual 0x4b”… Co se dá v tomhle případě dělat? S Narlenem máme tento problém oba…

A s jakym to je ovladacem? Ten co je ve fedore (opensource) nebo ste nainstaloval fglrx? Oba mate problem s cim - se zvlnenim obrazu s fglrx?

Hm… tak prvni problem je, ten na ktery jsem uz upozornoval driv - radeon <= 9250 uz neni podorovan ovladacem fglrx co je v repozitari livna a legacy (jako pro nvidii) nikdo nedela (nejsou lidi). Jediny zpusob jako fglrx nainstalovat je primo z baliku z ati.com.

Chjo:

Tak jsem fglrx rozchodil s pomoci toho navodu a mnoha figlu, ale je to vice nez bolestive. Navic fglrx vam zasere system svyma knihovnama a jen si clovek koleduje o problemy.

Vysledek glxgears (ano neni to benchmark, jen pro porovnani)
OSS radeon: 1600fps
fglrx: 2000fps

pokud vam nahodou vychazi 1200fps, seka se vam pocitac a glxgears se trhaji pak mate spatnou knihovnu libGL.so a musite preinstalovat mesa.

Oba máme problém s “libGL warning: 3D driver claims to not support visual 0x4b”…
Jinak v glxgears dosahuju prakticky stejnýho výkonu,jenže ten je pro hry nepoužitelnej… já mám ovladače fglrx z livny… Direct rendering běží a všechno vypadá,že jede přesně tak,jak má (až na zmíněnou chybku libGL)…jenže FPS ve hrách tomu nenasvědčuje…
Takže jedinej rozumnej způsob,jak jet ATinu na Linuxu doporučujete koupi novější?

Tak se omlouvám,problém bude asi spíš v emulaci Wine…dřív mi blbly všechny hry,teď už jen CS1.6… Chyba byla někde mezi židlí a klávesnicí…

Ten problem se zakrivenim obrazu (zvlneni) jak jsem psal vyse… mam jen v KDE,v GNOME nem (pouzivam compiz). V KDE problem pretrvava i kdyz jsem odisntaloval proprietalni drivery od ATi a dal jsem tam zpatky kmod-fglrx. Rozliseni i obnovovaci prekvence je stejna.

Ufuf… proprietarni driver od ATi JE v baliku kmod-fglrx!!! Open source ovladac se jmenuje radeon a je soucasti kernelu a X serveru

Pro OS radeon driver:


# /sbin/lsmod | grep radeon
radeon                109665  2 
drm                    72789  3 radeon

# rpm -qa| grep xorg | grep ati
xorg-x11-drv-ati-6.6.3-1.fc6

/etc/X11/xorg.conf
Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 9200 VIVO"
        Option "AGPMode" "4"
EndSection

2djSmaky: Pokud mate radeon starsi nez 9250 vcetne pak sice ovladac z livna muzete mit nainstalovany ale nepouziva se, protoze v nem proste neni podpora pro tyto karty (ati ji vyradilo) a pouziva se OS ovladac. Tzn. ano, pokud chcete pouzivat ati a fglrx proprietarni ovladac, pak jedine neco od 9500 vys.
Ten warning o libGL je vicemene neskodny.
/sbin/lsmod | grep fglrx vam rekne zda se pouziva fglrx od ATi
/sbin/lsmod | grep radeon vam rekne zda se pouziva OS radeon z kernelu/Xserveru